# $Revision: 1.15 $, $Date: 2011/07/16 08:56:32 $
Summary:	Supplies technical and tag information about a video or audio file (CLI)
Name:		mediainfo
Version:	0.7.47
Release:	1
License:	GPL
Group:		Applications/Multimedia
Source0:	http://downloads.sourceforge.net/project/mediainfo/source/mediainfo/%{version}/%{name}_%{version}.tar.bz2
# Source0-md5:	865b38a17f462edda89aa226418c968a
URL:		http://mediainfo.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dos2unix
BuildRequires:	libmediainfo-devel >= %{version}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	wxGTK2-unicode-devel
BuildRequires:	zlib-devel
Requires:	libmediainfo >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MediaInfo CLI (Command Line Interface).

What information can I get from MediaInfo?
- General: title, author, director, album, track number, date,
  duration...
- Video: codec, aspect, fps, bitrate...
- Audio: codec, sample rate, channels, language, bitrate...
- Text: language of subtitle
- Chapters: number of chapters, list of chapters

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1, MPEG1,
MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime, RealVideo,
RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3, VOB, DVD, WMA,
VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
- Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
  MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
- Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
- Subtitles: SRT, SSA, ASS, SAMI

%package gui
Summary:	Supplies technical and tag information about a video or audio file (GUI)
Group:		X11/Applications/Multimedia
Requires:	kde-common-dirs >= 0.5
Requires:	libmediainfo >= %{version}
Requires:	libzen >= 0.4.9

%description gui
MediaInfo (Graphical User Interface).

What information can I get from MediaInfo?
- General: title, author, director, album, track number, date,
  duration...
- Video: codec, aspect, fps, bitrate...
- Audio: codec, sample rate, channels, language, bitrate...
- Text: language of subtitle
- Chapters: number of chapters, list of chapters

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1, MPEG1,
MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime, RealVideo,
RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3, VOB, DVD, WMA,
VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
- Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
  MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
- Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
- Subtitles: SRT, SSA, ASS, SAMI

%prep
%setup -q -n MediaInfo
dos2unix *.html *.txt Release/*.txt
chmod 644 *.html *.txt Release/*.txt

%build
export CFLAGS="%{rpmcflags}"
export CPPFLAGS="%{rpmcppflags}"
export CXXFLAGS="%{rpmcxxflags}"

# build CLI
cd Project/GNU/CLI
	%{__libtoolize}
	%{__aclocal}
	%{__autoconf}
	%{__automake}
	%configure
	%{__make}
cd -

# now build GUI
cd Project/GNU/GUI
	%{__libtoolize}
	%{__aclocal}
	%{__autoconf}
	%{__automake}
	%configure \
		--with-wx-config=%{_bindir}/wx-gtk2-unicode-config
	%{__make}
cd -

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C Project/GNU/CLI \
	install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C Project/GNU/GUI \
	install \
	DESTDIR=$RPM_BUILD_ROOT

# icon
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps
install Source/Ressource/Image/MediaInfo.png \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
install -dm 755 $RPM_BUILD_ROOT%{_pixmapsdir}
install Source/Ressource/Image/MediaInfo.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

# menu-entry
install -dm 755 $RPM_BUILD_ROOT/%{_desktopdir}
install Project/GNU/GUI/mediainfo-gui.desktop \
	$RPM_BUILD_ROOT/%{_desktopdir}
install -dm 755 $RPM_BUILD_ROOT/%{_datadir}/apps/konqueror/servicemenus
install Project/GNU/GUI/mediainfo-gui.kde3.desktop \
	$RPM_BUILD_ROOT/%{_datadir}/apps/konqueror/servicemenus/mediainfo-gui.desktop
install -dm 755 $RPM_BUILD_ROOT/%{_datadir}/kde4/services/ServiceMenus/
install Project/GNU/GUI/mediainfo-gui.kde4.desktop \
	$RPM_BUILD_ROOT/%{_datadir}/kde4/services/ServiceMenus/mediainfo-gui.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Release/ReadMe_CLI_Linux.txt
%doc License.html History_CLI.txt
%attr(755,root,root) %{_bindir}/mediainfo

%files gui
%defattr(644,root,root,755)
%doc Release/ReadMe_GUI_Linux.txt
%doc License.html History_GUI.txt
%attr(755,root,root) %{_bindir}/mediainfo-gui
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%{_iconsdir}/hicolor/128x128/apps/*.png
%dir %{_datadir}/apps/konqueror/servicemenus
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/kde4/services/ServiceMenus/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mediainfo.spec,v $
Revision 1.15  2011/07/16 08:56:32  charles
- updated to 0.7.47

Revision 1.14  2011/04/28 22:12:06  charles
- sync with libmediainfo (versions)

Revision 1.13  2011/04/28 22:09:34  charles
- updated to 0.7.44

Revision 1.12  2011/02/12 22:47:43  arekm
- up to 0.7.39

Revision 1.11  2010/09/30 19:47:31  arekm
- up to 0.7.35

Revision 1.10  2010/05/19 19:50:13  shadzik
- konqueror dir is wrong too
- -gui R: kde-common-dirs
- rel 3

Revision 1.9  2010/05/19 19:35:21  shadzik
- rel 2

Revision 1.8  2010/05/19 19:35:02  shadzik
- don't own kde4 dirs

Revision 1.7  2010/03/27 08:18:30  arekm
- up to 0.7.30

Revision 1.6  2010/03/10 06:37:56  arekm
- up to 0.7.29

Revision 1.5  2010/02/26 13:49:16  sparky
- gui files: don't own dirs which belong to hicolor-icon-theme and
  kde-common-dirs

Revision 1.4  2010/02/21 18:41:26  arekm
- up to 0.7.28

Revision 1.3  2009/12/05 00:35:10  charles
- macros used, cleanups

Revision 1.2  2009/12/05 00:25:11  charles
- updated BRs

Revision 1.1  2009/12/04 17:45:18  arekm
- initial; builds but needs more work
